Best of REST APISeptember 2022

  1. 1
    Article
    Avatar of freecodecampfreeCodeCamp·4y

    Top 30 React Interview Questions and Concepts

    The freeCodeCamp.org course teaches you about 30 common React interview questions and concepts. Nishant Singh developed this course to help you prepare for a React interview.

  2. 2
    Article
    Avatar of syncfusionSyncfusion·4y

    JavaScript API Mocking Techniques

    API Mocking Mocking is a client-side mocking framework that mocks the API in the browser by using the Pretender library. It has many built-in tools: serializer, route handlers, database, models, fixtures, and factories. It enables emulating dynamic behavior between the front end and back end, rather than mocking the same response over and over again by hitting an endpoint.

  3. 3
    Article
    Avatar of bytebytegoByteByteGo·4y

    EP23: How to choose the right database? Also...

    GraphQL is a query language for APIs developed by Meta. It provides a complete description of the data in the API and gives clients the power to ask for Migrating to a new database in the real world could take years at a high scale. Bloom Filters Algorithms You Should Know For System Design #2.

  4. 4
    Article
    Avatar of logrocketLogRocket·4y

    Implementing user authorization in Next.js

    NextAuth.js is a full-fledged authentication and authorization solution for Next.js designed to work with any OAuth service. To use them in your project, create a file named.env.local in the root of your project directory. This file will contain all the providers that you want to use in your app. Each provider will be configured using the credentials in order for the app to successfully connect with our OAuth identity provider.

  5. 5
    Article
    Avatar of towardsdevTowards Dev·4y

    A simple example for NodeJS multiprocessing

    The cluster module allows you to easily create a network of processes that all share server ports. While this is perfectly good code, it will run on only 1 core of your most probably multicore environment. So what we can improve is to take advantage of the cluster module and fork our process to increase the software throughput.

  6. 6
    Article
    Avatar of logrocketLogRocket·4y

    Prisma vs. Thin Backend

    Prisma enables you to access your database straight from Node.js and TypeScript application code. Thin Backend provides you with an IDE that has custom business logic and serverless functions. Prisma is a type-safe query builder that is an alternative to Sequelize and TypeORM.

  7. 7
    Article
    Avatar of itnextITNEXT·4y

    Shorten go-live time for Node.js applications with Amplication

    Amplication is an open-source tool for implementing the frontend as well as the backend of our application in minutes through a user interface. Amplication takes away the burden of choosing our stack and it provides us with a predefined stack with a lot of boilerplate code which is ready.

  8. 8
    Article
    Avatar of discdotDiscover .NET·4y

    Where should you use gRPC? And where NOT!

    GRPC is the standard for communication between services without giving any real reason. Queries and performing UI/ViewModel Composition are naturally request-response and would be a good fit for gRPC. Service-to-service communication using blocking RPC calls can lead to a nightmare of coupling and terrible reliability.

  9. 9
    Article
    Avatar of bytebytegoByteByteGo·4y

    EP22: Latency numbers you should know. Also...

    The in-memory cache can deal with a much higher throughput than the database. We can also put requests into a message queue so the requests can be processed at the service's own pace. The diagram below shows the 4 key business areas in a typical e-commerce company: procurement, inventory, eComm platform, and transportation. The promotion system defines big sale activities, coupons, etc.

  10. 10
    Article
    Avatar of freecodecampfreeCodeCamp·4y

    Create a Low-Code Ecommerce App with Stripe, Postgres, & REST API Backend

    A low-code platform can give you pre-built UI components packed with functionality like tables, buttons, and text inputs. This allows you to skip the frontend templates and build your own quickly. We just published a tutorial on the freeCodeCamp.org YouTube channel.

  11. 11
    Article
    Avatar of asayerasayer·4y

    Rendering real-time data with Vue, Node, and socket.io

    Vue, Node. Js, Socket.io, and socket.io Sockets are usually best for real-time data communications. In this tutorial, I will show you how to render real- time data over the server and how sockets are used. We will create a simple block game using Vue the BlockGame to the template tag.

  12. 12
    Article
    Avatar of asayerasayer·4y

    Implementing infinite scrolling in React xxxx

    infinite scrolling is a web-design technique that loads content continuously as the user scrolls down the page. The infinite scrolling mechanism automatically retrieves data from an API when needed without requiring the user to perform an extra action. In this article, we will learn how to implement the infinite scrolling technique in React apps. The Intersection Observer API provides a way to observe changes in the intersection of a target element with an ancestor element and a top-level document’s viewport.

  13. 13
    Article
    Avatar of communityCommunity Picks·4y

    Why Every Developer Should Employ Test Driven Development

    Test-Driven Development (TDD) has gained popularity because it works to resolve the speed vs quality dilemma. Using TDD for software development is a more balanced approach emphasising three primary tasks: coding, testing, and designing. For each feature, I write 20-25 tests to cover all possible use Alternative option: a test framework abstracted.

  14. 14
    Article
    Avatar of towardsdevTowards Dev·4y

    Upgrading your Express server to HTTP/2 with 4 lines of code

    HTTP/2 was released in 2015 as a major revision to the HTTP/1.1 protocol. It was derived from the SPDY protocol as a way to improve the online experience by speeding up page loads and reducing round-trip time. There have been four HTTP iterations since its introduction in 1991.

  15. 15
    Article
    Avatar of tinybirdTinybird·4y

    Looking for a Google Analytics alternative? Build it yourself in 3 minutes.・Tinybird

    Tinybird is a serverless data backend for building low-latency applications. It lets you ingest data from your apps, shape it with SQL, and publish the results as API endpoints. The next step is to create your Tinybird Workspace, which is basically a collection of Data Sources, Pipes, and Paste it in your website.

  16. 16
    Article
    Avatar of awstipAWS Tip·4y

    Build an API using AWS Lambda and API Gateway

    AWS has significantly impacted the serverless development industry as a top serverless supplier. AWS Lambda is an event-driven, serverless computing platform. API Gateway and Lambda proxy is a straightforward, effective solution for creating an API with just a single API method setup.

  17. 17
    Article
    Avatar of awstipAWS Tip·4y

    Serverless Computing

    Serverless is event-driven, functional code which runs on a cloud in a stateless manner. If you send one request to the API gateway, that will poke to the function, and the function comes up to serve the request and go back to sleep and the next rest come it has no idea about the previous request. The above screen shows that the function has been successfully created.

  18. 18
    Article
    Avatar of logrocketLogRocket·4y

    Using TypeORM’s QueryBuilder in NestJS

    NestJS is a relatively new JavaScript web framework that enables you to build enterprise-grade, server-side applications. It also uses TypeORM, a strong object-relations-management library built with TypeScript. With over 29.3k stars on GitHub, typeORM is one of the most popular Node.

  19. 19
    Article
    Avatar of logrocketLogRocket·4y

    Getting started with Deno and Fresh

    The web app will encompass the design of a REST API and web UI. We’ll describe some mechanisms of Fresh and a (poor man) solution for the database, create a frontend, and showcase the working app. This demonstration example is available on GitHub and is inspired by the Angular Tour of Heroes example. For example, the two GETs may or may not take a query parameter.